Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class AbstractStepResult

    java.lang.Object
      org.jbehave.core.steps.AbstractStepResult

All Implemented Interfaces:
  StepResult

Direct Known Subclasses:
  AbstractStepResult.Failed, AbstractStepResult.Ignorable, AbstractStepResult.NotPerformed, AbstractStepResult.Pending, AbstractStepResult.Skipped, AbstractStepResult.Successful

    public abstract class AbstractStepResult

extends Object
implements StepResult

Represents the possible step results:

- Failed
- NotPerformed
- Pending
- Successful
- Ignorable
- Skipped

Nested Class Summary
`static class` | `AbstractStepResult.Failed`
`static class` | `AbstractStepResult.Ignorable`
`static class` | `AbstractStepResult.NotPerformed`
`static class` | `AbstractStepResult.Pending`
`static class` | `AbstractStepResult.Skipped`
`static class` | `AbstractStepResult.Successful`

Field Summary
`protected String` | `step`
`protected UUIDExceptionWrapper` | `throwable`

Constructor Summary
`AbstractStepResult(String step)`
`AbstractStepResult(String step, UUIDExceptionWrapper throwable)`

Method Summary
`static StepResult` | `failed(Method method, UUIDExceptionWrapper e)`
`static StepResult` | `failed(String step, UUIDExceptionWrapper e)`
`UUIDExceptionWrapper` | `getFailure()`
`static StepResult` | `ignorable(String step)`
`static StepResult` | `notPerformed(String step)`
`String` | `parametrisedStep()`
`static StepResult` | `pending(String step)`
`static StepResult` | `pending(String step, PendingStepFound e)`
`static StepResult` | `skipped()`
`static StepResult` | `successful(String step)`
`String` | `toString()`
`StepResult` | `withParameterValues(String parametrisedStep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbehave.core.steps.StepResult
`describeTo`

Field Detail

### step

    protected final String step

### throwable

    protected final UUIDExceptionWrapper throwable

Constructor Detail

### AbstractStepResult

    public AbstractStepResult(String step)

### AbstractStepResult

    public AbstractStepResult(String step,
                              UUIDExceptionWrapper throwable)

Method Detail

### parametrisedStep

    public String parametrisedStep()

  Specified by:
    `parametrisedStep` in interface `StepResult`

### withParameterValues

    public StepResult withParameterValues(String parametrisedStep)

  Specified by:
    `withParameterValues` in interface `StepResult`

### getFailure

    public UUIDExceptionWrapper getFailure()

  Specified by:
    `getFailure` in interface `StepResult`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### successful

    public static StepResult successful(String step)

### ignorable

    public static StepResult ignorable(String step)

### pending

    public static StepResult pending(String step)

### pending

    public static StepResult pending(String step,
                                     PendingStepFound e)

### notPerformed

    public static StepResult notPerformed(String step)

### failed

    public static StepResult failed(String step,
                                    UUIDExceptionWrapper e)

### failed

    public static StepResult failed(Method method,
                                    UUIDExceptionWrapper e)

### skipped

    public static StepResult skipped()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.